on: [push]
jobs:
  build:
    runs-on: container
    steps:
      - uses: actions/checkout@v4

      - uses: pnpm/action-setup@v4
        name: Install pnpm
        with:
          run_install: false

      - name: Install Node.js
        uses: actions/setup-node@v4
        with:
          node-version: 20
          cache: 'pnpm'

      - name: Install dependencies
        run: pnpm install

      - name: Build package (transpile ts => js)
        run: ng build

      - name: Store build
        uses: actions/upload-artifact@v3
        with:
          name: Package
          path: dist/
